using System;

namespace MyApp
{
    internal class Program
    {
        static public bool MozeLiSe(int[] arr,int i, int j)
        {
            bool Vrati = true;
            int br = 0;
            for(i = 0; i<j; i++)
            {
                if (arr[i] > arr[i + 1])
                {
                    br++;
                    if (br > 1)
                    {
                        return Vrati;
                    }
                }
            }
            return Vrati;
        }
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            string[] s = Console.ReadLine().Split();
            int[] arr = new int[N];
            for(int i = 0; i < N; i++) 
            {
                arr[i] = int.Parse(s[i]);
            }
            int Nprim = int.Parse(Console.ReadLine());
            for(int i = 0; i < Nprim; i++)
            {
                string[] sprim = Console.ReadLine().Split();
                int first = int.Parse(sprim[0]);    
                int second = int.Parse(sprim[1]);
                if (MozeLiSe(arr, first, second))
                {
                    Console.WriteLine("DA");
                }
                else Console.WriteLine("NE");
            }
        }
    }
}